obj
	icon = 'world.dmi'

	//A bog standard tooltip-on-hover
	hoverTest
		icon_state = "item"
		name = "Hover Test Item"
		desc = "This is a test description! The tooltip (hopefully) showed up on hover."

		MouseEntered(location, control, params)
			..()

			usr.client.tooltipHolder.showHover(src, list(
				"params" = params,
				"title" = src.name,
				"content" = src.desc
			))

		MouseExited()
			if (usr.client.tooltipHolder)
				usr.client.tooltipHolder.hideHover()

	//A tooltip opened via clicking
	clickTest
		icon_state = "item2"
		name = "Click Test Item"
		desc = "This is also a test description! The tooltip (also hopefully) showed up on click."

		Click(location, control, params)
			clickTip(src, usr, list(
				"params" = params,
				"title" = src.name,
				"content" = src.desc
			))

	//A special example that's almost fully customizable in-game
	customClickTest
		icon_state = "item3"
		name = "Custom Click Test Item"
		desc = "Like the other click test item, but way more configurable!"

		Click(location, control, params)
			var/list/options = list("params" = params)

			var/bitPos = TOOLTIP_BOTTOM
			var/givenPos = input("Where would you like the tooltip to appear?", "Position") in list("Top", "Right", "Bottom", "Left")
			switch (givenPos)
				if ("Top")
					bitPos = TOOLTIP_TOP
				if ("Right")
					bitPos = TOOLTIP_RIGHT
				if ("Bottom")
					bitPos = TOOLTIP_BOTTOM
				if ("Left")
					bitPos = TOOLTIP_LEFT

			if (alert("Should it be centered on the '[givenPos]' axis?", "Centering", "Yes", "No") == "Yes")
				bitPos += TOOLTIP_CENTER

			var/customTheme = input("Apply a custom theme? (Must exist as a class in tooltip.css, \"red\" is included in this demo)", "Custom Theme", "default")

			var/customSize = input("Specify a custom size? E.g. 300x200 (By default, the tooltip will size according to content)", "Sizing", "auto (default)")
			if (customSize && customSize != "auto (default)")
				options["size"] = customSize

			var/customTitle = input("Want a different title?", "Title", src.name)
			if (customTitle)
				options["title"] = customTitle

			var/customContent = input("Want different content?", "Content", src.desc)
			if (customContent)
				options["content"] = customContent

			if (!customTitle && !customContent)
				alert("You need to give at least SOME content!")
				return

			options["flags"] = bitPos
			options["theme"] = customTheme
			clickTip(src, usr, options)